package net.informaticalibera.automobile;

/**
 * Moto Rettilineo Uniforme
 *
 * @author Francesco Galgani, corso di sviluppo app multipiattaforma
 */
public class MRU {
    private int spazio; // metri
    private int tempo; // secondi
    private int velocita; // metri al secondo

    public int getSpazio() {
        return spazio;
    }

    public void setSpazio(int spazio) {
        this.spazio = spazio;
    }

    public int getTempo() {
        return tempo;
    }

    public void setTempo(int tempo) {
        this.tempo = tempo;
    }

    public int getVelocita() {
        return velocita;
    }

    public void setVelocita(int velocita) {
        this.velocita = velocita;
    }

    public MRU(int tempo, int velocita) {
        this.tempo = tempo;
        this.velocita = velocita;
    }
    
    /**
     * Applica la formula spazio = velocita * tempo
     *
     * @return spazio in metri
     *
     */
    public int spazio() {
        return velocita * tempo;
    }
     
}
